## com.fasterxml.jackson.databind.introspect
Class AnnotatedWithParams

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.Annotated
          com.fasterxml.jackson.databind.introspect.AnnotatedMember
              com.fasterxml.jackson.databind.introspect.AnnotatedWithParams

Direct Known Subclasses:
  AnnotatedConstructor, AnnotatedMethod

    public abstract class AnnotatedWithParams

extends AnnotatedMember

Intermediate base class that encapsulates features that constructors and methods share.

Field Summary
`protected AnnotationMap[]` `_paramAnnotations` Annotations associated with parameters of the annotated entity (method or constructor parameters)

Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`_annotations`

Constructor Summary
`protected` `AnnotatedWithParams(AnnotationMap annotations, AnnotationMap[] paramAnnotations)`

Method Summary
`void` `addOrOverrideParam(int paramIndex, Annotation a)` Method called to override a method parameter annotation, usually due to a mix-in annotation masking or overriding an annotation 'real' method has.
`abstract Object` `call()` Method that can be used to (try to) call this object without arguments.
`abstract Object` `call(Object[] args)` Method that can be used to (try to) call this object with specified arguments.
`abstract Object` `call1(Object arg)` Method that can be used to (try to) call this object with single arguments.

`

`<A extends Annotation> A`

`

`getAnnotation(Class<A> acls)`

`int` `getAnnotationCount()`
`abstract Type` `getGenericParameterType(int index)`
`AnnotatedParameter` `getParameter(int index)`
`AnnotationMap` `getParameterAnnotations(int index)`
`abstract int` `getParameterCount()`
`abstract Class<?>` `getRawParameterType(int index)`
`protected JavaType` `getType(TypeBindings bindings, TypeVariable<?>[] typeParams)`
`protected AnnotatedParameter` `replaceParameterAnnotations(int index, AnnotationMap ann)` Method called by parameter object when an augmented instance is created; needs to replace parameter with new instance
`JavaType` `resolveParameterType(int index, TypeBindings bindings)` Method called to fully resolve type of one of parameters, given specified type variable bindings.

Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`addIfNotPresent, addOrOverride, fixAccess, getAllAnnotations, getDeclaringClass, getMember, getValue, setValue`

Methods inherited from class com.fasterxml.jackson.databind.introspect.Annotated
`getAnnotated, getGenericType, getModifiers, getName, getRawType, getType, hasAnnotation, isPublic, withAnnotations, withFallBackAnnotationsFrom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _paramAnnotations

    protected final AnnotationMap[] _paramAnnotations

  Annotations associated with parameters of the annotated entity (method or constructor parameters)

Constructor Detail

### AnnotatedWithParams

    protected AnnotatedWithParams(AnnotationMap annotations,
                                  AnnotationMap[] paramAnnotations)

Method Detail

### addOrOverrideParam

    public final void addOrOverrideParam(int paramIndex,
                                         Annotation a)

  Method called to override a method parameter annotation, usually due to a mix-in annotation masking or overriding an annotation 'real' method has.

### replaceParameterAnnotations

    protected AnnotatedParameter replaceParameterAnnotations(int index,
                                                             AnnotationMap ann)

  Method called by parameter object when an augmented instance is created; needs to replace parameter with new instance

### getType

    protected JavaType getType(TypeBindings bindings,
                               TypeVariable<?>[] typeParams)

### getAnnotation

    public final <A extends Annotation> A getAnnotation(Class<A> acls)

  Specified by:
    `getAnnotation` in class `Annotated`

### getParameterAnnotations

    public final AnnotationMap getParameterAnnotations(int index)

### getParameter

    public final AnnotatedParameter getParameter(int index)

### getParameterCount

    public abstract int getParameterCount()

### getRawParameterType

    public abstract Class<?> getRawParameterType(int index)

### getGenericParameterType

    public abstract Type getGenericParameterType(int index)

### resolveParameterType

    public final JavaType resolveParameterType(int index,
                                               TypeBindings bindings)

  Method called to fully resolve type of one of parameters, given specified type variable bindings.

### getAnnotationCount

    public final int getAnnotationCount()

### call

    public abstract Object call()
                         throws Exception

  Method that can be used to (try to) call this object without arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Throws:
    `Exception`

### call

    public abstract Object call(Object[] args)
                         throws Exception

  Method that can be used to (try to) call this object with specified arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Throws:
    `Exception`

### call1

    public abstract Object call1(Object arg)
                          throws Exception

  Method that can be used to (try to) call this object with single arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Throws:
    `Exception`

Copyright © 2012 fasterxml.com. All Rights Reserved.